# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Test/Builder.pm) perl(Test/Builder/Tester/Color.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl(Encode/TW.pm)
Name:           perl-Test-File-Contents
Version:        0.20
Release:        alt1_4
Summary:        Test routines for examining the contents of files
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Test-File-Contents/
Source0:        http://www.cpan.org/authors/id/S/SK/SKUD/Test-File-Contents-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/Builder/Tester.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(Text/Diff.pm)
BuildRequires:  perl(Digest/MD5.pm)
Source44: import.info

%description
Test routines for examining the contents of files.

%prep
%setup -q -n Test-File-Contents-%{version}

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1_4
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1_3
- update to new release by fcimport

* Tue May 29 2012 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1_1
- fc import

